using MessagePack;

namespace GameMessage
{
    /// <summary>
    /// 活动道具数据
    /// </summary>
    [MessagePackObject]
    public class ActivityPropData
    {
        /// <summary>
        /// 活动道具ID
        /// </summary>
        [Key(0)]
        public int Id;
        
        /// <summary>
        /// 活动道具名称
        /// </summary>
        [Key(1)]
        public string PropName;
        
        /// <summary>
        /// 活动道具数量
        /// </summary>
        [Key(2)]
        public long Count;
    }
}

